property
3
HAL Library

# property

## Synopsis

                HalProperty;
    #define     HAL_PROPERTY_TYPE_INVALID
    #define     HAL_PROPERTY_TYPE_INT32
    #define     HAL_PROPERTY_TYPE_UINT64
    #define     HAL_PROPERTY_TYPE_DOUBLE
    #define     HAL_PROPERTY_TYPE_BOOLEAN
    #define     HAL_PROPERTY_TYPE_STRING
    #define     HAL_PROPERTY_TYPE_STRLIST
    void        hal_property_free               (HalProperty *prop);
    HalProperty* hal_property_new_string        (const char *key,
                                                 const char *value);
    HalProperty* hal_property_new_int           (const char *key,
                                                 dbus_int32_t value);
    HalProperty* hal_property_new_uint64        (const char *key,
                                                 dbus_uint64_t value);
    HalProperty* hal_property_new_bool          (const char *key,
                                                 dbus_bool_t value);
    HalProperty* hal_property_new_double        (const char *key,
                                                 double value);
    HalProperty* hal_property_new_strlist       (const char *key);
    const char* hal_property_get_key            (HalProperty *prop);
    int         hal_property_get_type           (HalProperty *prop);
    char*       hal_property_to_string          (HalProperty *prop);
    const char* hal_property_get_string         (HalProperty *prop);
    dbus_int32_t hal_property_get_int           (HalProperty *prop);
    dbus_uint64_t hal_property_get_uint64       (HalProperty *prop);
    dbus_bool_t hal_property_get_bool           (HalProperty *prop);
    double      hal_property_get_double         (HalProperty *prop);
    GSList*     hal_property_get_strlist        (HalProperty *prop);
    void        hal_property_set_string         (HalProperty *prop,
                                                 const char *value);
    void        hal_property_set_int            (HalProperty *prop,
                                                 dbus_int32_t value);
    void        hal_property_set_uint64         (HalProperty *prop,
                                                 dbus_uint64_t value);
    void        hal_property_set_bool           (HalProperty *prop,
                                                 dbus_bool_t value);
    void        hal_property_set_double         (HalProperty *prop,
                                                 double value);
    gboolean    hal_property_strlist_append     (HalProperty *prop,
                                                 const char *value);
    gboolean    hal_property_strlist_prepend    (HalProperty *prop,
                                                 const char *value);
    gboolean    hal_property_strlist_remove_elem
                                                (HalProperty *prop,
                                                 guint index);
    gboolean    hal_property_strlist_add        (HalProperty *prop,
                                                 const char *value);
    gboolean    hal_property_strlist_remove     (HalProperty *prop,
                                                 const char *value);
    gboolean    hal_property_strlist_clear      (HalProperty *prop);
    void        hal_property_set_attribute      (HalProperty *prop);
    gboolean    hal_property_get_attribute      (HalProperty *prop);

## Description

## Details

### HalProperty

    typedef struct _HalProperty HalProperty;

### HAL_PROPERTY_TYPE_INVALID

    #define HAL_PROPERTY_TYPE_INVALID         DBUS_TYPE_INVALID

### HAL_PROPERTY_TYPE_INT32

    #define HAL_PROPERTY_TYPE_INT32       DBUS_TYPE_INT32

### HAL_PROPERTY_TYPE_UINT64

    #define HAL_PROPERTY_TYPE_UINT64      DBUS_TYPE_UINT64

### HAL_PROPERTY_TYPE_DOUBLE

    #define HAL_PROPERTY_TYPE_DOUBLE      DBUS_TYPE_DOUBLE

### HAL_PROPERTY_TYPE_BOOLEAN

    #define HAL_PROPERTY_TYPE_BOOLEAN     DBUS_TYPE_BOOLEAN

### HAL_PROPERTY_TYPE_STRING

    #define HAL_PROPERTY_TYPE_STRING      DBUS_TYPE_STRING

### HAL_PROPERTY_TYPE_STRLIST

    #define HAL_PROPERTY_TYPE_STRLIST     ((int) (DBUS_TYPE_STRING<<8)+('l'))

### hal_property_free ()

    void        hal_property_free               (HalProperty *prop);

`prop` :

### hal_property_new_string ()

    HalProperty* hal_property_new_string        (const char *key,
                                                 const char *value);

`key` :

`value` :

Returns :

### hal_property_new_int ()

    HalProperty* hal_property_new_int           (const char *key,
                                                 dbus_int32_t value);

`key` :

`value` :

Returns :

### hal_property_new_uint64 ()

    HalProperty* hal_property_new_uint64        (const char *key,
                                                 dbus_uint64_t value);

`key` :

`value` :

Returns :

### hal_property_new_bool ()

    HalProperty* hal_property_new_bool          (const char *key,
                                                 dbus_bool_t value);

`key` :

`value` :

Returns :

### hal_property_new_double ()

    HalProperty* hal_property_new_double        (const char *key,
                                                 double value);

`key` :

`value` :

Returns :

### hal_property_new_strlist ()

    HalProperty* hal_property_new_strlist       (const char *key);

`key` :

Returns :

### hal_property_get_key ()

    const char* hal_property_get_key            (HalProperty *prop);

`prop` :

Returns :

### hal_property_get_type ()

    int         hal_property_get_type           (HalProperty *prop);

`prop` :

Returns :

### hal_property_to_string ()

    char*       hal_property_to_string          (HalProperty *prop);

`prop` :

Returns :

### hal_property_get_string ()

    const char* hal_property_get_string         (HalProperty *prop);

`prop` :

Returns :

### hal_property_get_int ()

    dbus_int32_t hal_property_get_int           (HalProperty *prop);

`prop` :

Returns :

### hal_property_get_uint64 ()

    dbus_uint64_t hal_property_get_uint64       (HalProperty *prop);

`prop` :

Returns :

### hal_property_get_bool ()

    dbus_bool_t hal_property_get_bool           (HalProperty *prop);

`prop` :

Returns :

### hal_property_get_double ()

    double      hal_property_get_double         (HalProperty *prop);

`prop` :

Returns :

### hal_property_get_strlist ()

    GSList*     hal_property_get_strlist        (HalProperty *prop);

`prop` :

Returns :

### hal_property_set_string ()

    void        hal_property_set_string         (HalProperty *prop,
                                                 const char *value);

`prop` :

`value` :

### hal_property_set_int ()

    void        hal_property_set_int            (HalProperty *prop,
                                                 dbus_int32_t value);

`prop` :

`value` :

### hal_property_set_uint64 ()

    void        hal_property_set_uint64         (HalProperty *prop,
                                                 dbus_uint64_t value);

`prop` :

`value` :

### hal_property_set_bool ()

    void        hal_property_set_bool           (HalProperty *prop,
                                                 dbus_bool_t value);

`prop` :

`value` :

### hal_property_set_double ()

    void        hal_property_set_double         (HalProperty *prop,
                                                 double value);

`prop` :

`value` :

### hal_property_strlist_append ()

    gboolean    hal_property_strlist_append     (HalProperty *prop,
                                                 const char *value);

`prop` :

`value` :

Returns :

### hal_property_strlist_prepend ()

    gboolean    hal_property_strlist_prepend    (HalProperty *prop,
                                                 const char *value);

`prop` :

`value` :

Returns :

### hal_property_strlist_remove_elem ()

    gboolean    hal_property_strlist_remove_elem
                                                (HalProperty *prop,
                                                 guint index);

`prop` :

`index` :

Returns :

### hal_property_strlist_add ()

    gboolean    hal_property_strlist_add        (HalProperty *prop,
                                                 const char *value);

`prop` :

`value` :

Returns :

### hal_property_strlist_remove ()

    gboolean    hal_property_strlist_remove     (HalProperty *prop,
                                                 const char *value);

`prop` :

`value` :

Returns :

### hal_property_strlist_clear ()

    gboolean    hal_property_strlist_clear      (HalProperty *prop);

`prop` :

Returns :

### hal_property_set_attribute ()

    void        hal_property_set_attribute      (HalProperty *prop);

`prop` :

`attr` :

`val` :

### hal_property_get_attribute ()

    gboolean    hal_property_get_attribute      (HalProperty *prop);

`prop` :

`attr` :

Returns :